SYSCTL(8)

NOME
sysctl - configura parâmetros do kernel em tempo de execução

SINOPSE
sysctl [opções] [variável[=valor]] [...]
sysctl -p [arquivo ou regexp] [...]

DESCRIÇÃO
sysctl is used to modify kernel parameters at runtime. The parameters available are those listed under /proc/sys/. Procfs is required for sysctl support in Linux. You can use sysctl to both read and write sysctl data.

PARÂMETROS

variável
    O nome da chave a ser lida (p. ex., kernel.ostype). O separador "/" também é aceito no lugar de um ".".

variável=valor
    Para definir uma chave, use a forma variável=valor, sendo variável a chave e valor o valor para configurá-la. Se o valor contiver aspas ou os caracteres que são analisados pelo shell, talvez seja necessário incluir o valor entre aspas duplas.

-n, --values
    Use essa opção para desabilitar impressão do nome da chave ao imprimir valores.

-e, --ignore
    Use essa opção para ignorar erros sobre as chaves desconhecidas.

-N, --names
    Use esta opção para exibir apenas os nomes. Pode ser útil com shells que tenham um completamento programável.

-q, --quiet
    Use essa opção para não exibir os valores definidos para stdout (saída padrão).

-w, --write
    Use essa opção quando todos os argumentos prescrevem um chave a ser definida.

-p[ARQUIVO], --load[=ARQUIVO]
    Load in sysctl settings from the file specified or /etc/sysctl.conf if none given. Specifying - as filename means reading data from standard input. Using this option will mean arguments to sysctl are files, which are read in the order they are specified. The file argument may be specified as regular expression.

-a, --all
    Exibe todos os valores disponíveis atualmente.

--deprecated
    Inclui parâmetros obsoletos para listagem de valores de --all.

-b, --binary
    Exibe valor sem nova linha.

--system
    Load settings from all system configuration files. See the SYSTEM FILE PRECEDENCE section below.

-r, --pattern padrão
    Só aplica configurações que corresponderem ao padrão. O padrão usa a sintaxe de expressão regular estendidas.

-A  Apelido de -a

-d  Apelido de -h

-f  Apelido de -p

-X  Apelido de -a

-o  Faz nada, existe para compatibilidade com BSD.

-x  Faz nada, existe para compatibilidade com BSD.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Exibe informação da versão e sai.

SYSTEM FILE PRECEDENCE
When using the --system option, sysctl will read files from directories in the following list in given order from top to bottom. Once a file of a given filename is loaded, any file of the same name in subsequent directories is ignored. /etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf All configuration files are sorted in lexicographic order, regardless of the directory they reside in. Configuration files can either be completely replaced (by having a new configuration file with the same name in a directory of higher priority) or partially replaced (by having a configuration file that is ordered later).

EXEMPLOS
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --pattern '^net.ipv6' --system

PARÂMETROS OBSOLETOS
The base_reachable_time and retrans_time are deprecated. The sysctl command does not allow changing values of these parameters. Users who insist to use deprecated kernel interfaces should push values to /proc file system by other means. For example:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

ARQUIVOS
/proc/sys
/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

VEJA TAMBÉM
sysctl.conf(5) regex(7)

AUTOR
George Staikos (staikos@0wned.org)

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org